org.apache.flume.lifecycle

## Class LifecycleController

- java.lang.Object
- - org.apache.flume.lifecycle.LifecycleController

-     public class LifecycleController
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LifecycleController()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `stopAll(List<LifecycleAware> services)`
    `static boolean` | `waitForOneOf(LifecycleAware delegate, LifecycleState[] states)`
    `static boolean` | `waitForOneOf(LifecycleAware delegate, LifecycleState[] states, long timeout)`
    `static boolean` | `waitForState(LifecycleAware delegate, LifecycleState state)`
    `static boolean` | `waitForState(LifecycleAware delegate, LifecycleState state, long timeout)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LifecycleController

          public LifecycleController()

  - ### Method Detail

    - #### waitForState

          public static boolean waitForState(LifecycleAware delegate,
                             LifecycleState state)
                                      throws InterruptedException

      Throws:
        `InterruptedException`

    - #### waitForState

          public static boolean waitForState(LifecycleAware delegate,
                             LifecycleState state,
                             long timeout)
                                      throws InterruptedException

      Throws:
        `InterruptedException`

    - #### waitForOneOf

          public static boolean waitForOneOf(LifecycleAware delegate,
                             LifecycleState[] states)
                                      throws InterruptedException

      Throws:
        `InterruptedException`

    - #### waitForOneOf

          public static boolean waitForOneOf(LifecycleAware delegate,
                             LifecycleState[] states,
                             long timeout)
                                      throws InterruptedException

      Throws:
        `InterruptedException`

    - #### stopAll

          public static void stopAll(List<LifecycleAware> services)
                              throws InterruptedException

      Throws:
        `InterruptedException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.